services:
  crm_core_commerce.individual_mapper:
    class: Drupal\crm_core_commerce\Mapper\CrmCoreIndividualMapper
    arguments: ['@entity_type.manager', '@crm_core_user_sync.relation', '@config.factory', '@module_handler']

  crm_core_commerce.order_paid_subscriber:
    class: Drupal\crm_core_commerce\EventSubscriber\OrderPlacedSubscriber
    arguments: ['@crm_core_commerce.individual_mapper']
    tags:
      - {name: event_subscriber}
